aspose file tools*
The moose likes Beginning Java and the fly likes Install J2SE 1.5 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Soft Skills this week in the Jobs Discussion forum!
JavaRanch » Java Forums » Java » Beginning Java
Bookmark "Install J2SE 1.5" Watch "Install J2SE 1.5" New topic
Author

Install J2SE 1.5

Anand Bala
Greenhorn

Joined: Jan 19, 2004
Posts: 8
I installed j2se 1.5 in my machine. I think, tt updated the path & callpath information in the registry. I also have j2se 1.4.2 in my machine. I want to use both.

I looked at the environment varibale, it's all set the 1.4.2. But the current version of java being used in 1.5.

Could someone let me know, how to switch and work on both the versions.
[ August 11, 2005: Message edited by: Anand Bala ]
Richard Anderson
Ranch Hand

Joined: May 20, 2005
Posts: 61
Do you have an environment variable called "JAVA_HOME"? If not, create one, and assign it the value of the path to the Java installation you want to use. Then in your PATH variable, add %JAVA_HOME%\bin.

That should work.

..... crossing fingers


-Rich, SCJP 1.4
Marilyn de Queiroz
Sheriff

Joined: Jul 22, 2000
Posts: 9053
    
  12
I think the easiest way to be able to use both is to make a couple of bat files. One bat file sets the PATH to version 1.4 and the other one sets the PATH to 1.5.


JavaBeginnersFaq
"Yesterday is history, tomorrow is a mystery, and today is a gift; that's why they call it the present." Eleanor Roosevelt
Anand Bala
Greenhorn

Joined: Jan 19, 2004
Posts: 8
I have JAVA_HOME variable pointing to java 1.4.2.

May be I will try with bat file option. Let'z see how that works.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Install J2SE 1.5